pkgsrc-WIP-changes archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
(lang/rakodo-star) Add adhoc hack, switching bmake or gmake
Module Name: pkgsrc-wip
Committed By: Makoto Fujiwara (mef) <makoto%ki.nu@localhost>
Pushed By: mef
Date: Sun Dec 27 14:26:45 2020 +0900
Changeset: 07fd99ce97937fb962642bb3f95a8fe352d8683f
Modified Files:
rakudo-star/Makefile
rakudo-star/distinfo
Added Files:
rakudo-star/patches/patch-lib_actions_install.bash
Log Message:
(lang/rakodo-star) Add adhoc hack, switching bmake or gmake
To see a diff of this commit:
https://wip.pkgsrc.org/cgi-bin/gitweb.cgi?p=pkgsrc-wip.git;a=commitdiff;h=07fd99ce97937fb962642bb3f95a8fe352d8683f
Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.
diffstat:
rakudo-star/Makefile | 10 ++++++--
rakudo-star/distinfo | 1 +
rakudo-star/patches/patch-lib_actions_install.bash | 28 ++++++++++++++++++++++
3 files changed, 37 insertions(+), 2 deletions(-)
diffs:
diff --git a/rakudo-star/Makefile b/rakudo-star/Makefile
index f30a6a53c7..3e8ebbb376 100644
--- a/rakudo-star/Makefile
+++ b/rakudo-star/Makefile
@@ -30,14 +30,20 @@ PKGSRC_MAKE_ENV+= LD_LIBRARY_PATH=${WRKSRC}/lib
PLIST_SUBST+= PARROT_VERSION=${PARROT_VERSION:Q}
PRINT_PLIST_AWK+= { gsub(/${PARROT_VERSION}/, "$${PARROT_VERSION}") }
+SUBST_CLASSES+= make
+SUBST_MESSAGE.make= Some needs make, the other needs gmake
+SUBST_STAGE.make= pre-configure
+SUBST_FILES.make= lib/actions/install.bash
+SUBST_SED.make= -e 's,@@GMAKE@@,${PREFIX}/bin/gmake,g'
+
do-configure:
(cd ${WRKSRC}; ./bin/rstar install)
do-build:
(cd ${WRKSRC}; ${MAKE})
-do-install:
- (cd ${WRKSRC}; ${GMAKE} install)
+#do-install:
+# (cd ${WRKSRC}; ${GMAKE} install)
.include "../../devel/MoarVM/buildlink3.mk"
diff --git a/rakudo-star/distinfo b/rakudo-star/distinfo
index 17af35eef7..d1668c9bd9 100644
--- a/rakudo-star/distinfo
+++ b/rakudo-star/distinfo
@@ -4,3 +4,4 @@ SHA1 (rakudo-star-2020.10.tar.gz) = e9caa085894e32581dd2d9fb09ab9e253b758e33
RMD160 (rakudo-star-2020.10.tar.gz) = 3e85ef6bd2e997126807e32ebc4e68120b360afe
SHA512 (rakudo-star-2020.10.tar.gz) = f8c7ab9e67018db0422f30232180122f25c20f113dd54e85af67e080e9320bb1499930de65464aa299043204503838085322b26cb705246fd4ee8dd9f52c4f42
Size (rakudo-star-2020.10.tar.gz) = 17377748 bytes
+SHA1 (patch-lib_actions_install.bash) = 7bfc52f46e9b0d755a4edb0ad6f08e398394078f
diff --git a/rakudo-star/patches/patch-lib_actions_install.bash b/rakudo-star/patches/patch-lib_actions_install.bash
new file mode 100644
index 0000000000..b15f74b2e8
--- /dev/null
+++ b/rakudo-star/patches/patch-lib_actions_install.bash
@@ -0,0 +1,28 @@
+$NetBSD$
+
+One part wants bmake, the other wants gmake
+
+--- ./lib/actions/install.bash.orig 2020-10-26 00:18:32.000000000 +0900
++++ ./lib/actions/install.bash 2020-12-27 14:24:37.872924232 +0900
+@@ -166,8 +166,8 @@ build_nqp() {
+ perl Configure.pl \
+ --backend="$RSTAR_BACKEND" \
+ "$@" \
+- && make \
+- && make install \
++ && @@GMAKE@@ \
++ && @@GMAKE@@ install \
+ || return
+ }
+
+@@ -178,8 +178,8 @@ build_rakudo() {
+ perl Configure.pl \
+ --backend="$RSTAR_BACKEND" \
+ "$@" \
+- && make \
+- && make install \
++ && @@GMAKE@@ \
++ && @@GMAKE@@ install \
+ || return
+ }
+
Home |
Main Index |
Thread Index |
Old Index